<?php
require_once(dirname(__FILE__).'/autoload.php');
protegeArquivo(basename(__FILE__));
class amostras2016 extends base{
    public $protocolo = "";



	public function __construct($campos=array()){
		parent::__construct();
		//$this->tabela = "ficha";
		$this->tabela = "ficha";
		$this->protocolo = "500";
		if(sizeof($campos)<=0):
			$this->campos_valores = array(
				"fic_id" => NULL,
				"fic_amostra" => NULL,
			);
		else:
			$this->campos_valores = $campos;
		endif;
		$this->campopk = "fic_id";
	}
  
    public function ultima()
	{
		
		
		
		
	}
	
  
  
  
    
    public function doLogin($objeto){
        $objeto->extras_select = "WHERE login='".$objeto->getValor('login')."' AND senha='".codificaSenha($objeto->getValor('senha'))."' and ativo='s'";
        //$objeto->extras_select = "WHERE senha='pifado'";
        $this->selecionaTudo($objeto);
        $sessao = new sessao();
		$detecta=$sessao->getVar('controle3');
		//echo ("detecta= $detecta<br>");
		//echo("dENTRO DA CLASSE USUARIOS L 38 Acesso inadequado? detecta= $detecta <br>");
		//if($detecta!='INICIO') exit;
		
		
		
        if ($this->linhasafetadas==1):
		    $sessao->setVar('ondeestou', 'indefinido');
            $usLogado = $objeto->retornaDados();
            $sessao->setVar('iduser', $usLogado->id);
			$idLabo=$usLogado->id_lab;
            $sessao->setVar('idLabo',  $usLogado->id_lab);
            $sessao->setVar('nomeuser', $usLogado->nome);
            $sessao->setVar('binario', $usLogado->binario);
			//echo('dentro da classe $usLogado->binario<br>');
            $sessao->setVar('master', $usLogado->administrador);
			$operador=$usLogado->nome;
            $sessao->setVar('loginuser', $usLogado->login);
            $sessao->setVar('logado', TRUE);
            $sessao->setVar('ip', $_SERVER['REMOTE_ADDR']);
	        $sessao->setVar('finalidade', "DEFINITIVA");
	        $sessao->setVar('nivel', $usLogado->nivel);
	        $sessao->setVar('codprodutor', $usLogado->cod_usuario);

            //CAPTURA O NOME DO CLIENTE OU SEJA A SIGLA DO LABORATORIO	 lassul, qualiteste,germinax etc
            $objeto->extras_select = "WHERE nivel='TITULAR' && id=".$idLabo;
            $this->selecionaTudo($objeto);
	        if ($this->linhasafetadas>0):
	            $usLogado = $objeto->retornaDados();
	            $sessao->setVar('cliente', $usLogado->nome);//aqui grava a sesseo cliente
				//inclui registro na tabela logado/////////////
						 $sql="insert into logado(log_nome_labo,log_operador)";
				         $sql.="values('$usLogado->nome','$operador')";
					     //echo("sql de gravacao=$sql<br>");
				         $userNota = new generica();
                         $userNota->campos_valores = $sql;				 
						 $userNota->inserirEspecial($userNota);
						 //$idNota=$userNota->linhasafetadas;
                ////////////final da inclusa na tab. logado/////////				
            endif;	
			
			
			
					
            return TRUE;
        else:
            $sessao->destroy(TRUE);
            return FALSE;
        endif;
    }
    
    public function doLogout(){
        $sessao = new sessao();
        $sessao->destroy(TRUE);
        redireciona('?erro=1');
    }
    
    public function existeRegistro($campo=NULL,$valor=NULL){
        if ($campo!=NULL && $valor!=NULL):
            is_numeric($valor) ? $valor = $valor : $valor = "'".$valor."'";
            $this->extras_select = "WHERE $campo=$valor";
            $this->selecionaTudo($this);
            if ($this->linhasafetadas > 0):
                return TRUE;
            else:
                return FALSE;
            endif;
        else:
            $this->trataerro(__FILE__,__FUNCTION__,NULL,'Faltam parâmetros para executar a função',TRUE);
        endif;
    }
}
?>